Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IVec2f

    java.lang.Object
      igeo.IParameterObject
          igeo.IVec2f

All Implemented Interfaces:
  IParameter, ISubobject, IVec2I, IVec2Op

    public class IVec2f

extends IParameterObject
implements IVec2I

Class of 2 dimensional vector in float.

Field Summary
`float` | `x`
`float` | `y`

Fields inherited from class igeo.IParameterObject
`parent`

Constructor Summary
`IVec2f()`
`IVec2f(double x, double y)`
`IVec2f(float x, float y)`
`IVec2f(IDoubleI x, IDoubleI y)`
`IVec2f(IServerI s)`
`IVec2f(IServerI s, double x, double y)`
`IVec2f(IServerI s, float x, float y)`
`IVec2f(IServerI s, IDoubleI x, IDoubleI y)`
`IVec2f(IServerI s, IVec2 v)`
`IVec2f(IServerI s, IVec2f v)`
`IVec2f(IServerI s, IVec2I v)`
`IVec2f(IVec2 v)`
`IVec2f(IVec2f v)`
`IVec2f(IVec2I v)`

Method Summary
`IVec2f` | `add(double x, double y)`
`IVec2f` | `add(double f, IVec2I v)` scale add; alias
`IVec2f` | `add(float x, float y)`
`IVec2f` | `add(float f, IVec2f v)` scale add; alias
`IVec2f` | `add(IDoubleI x, IDoubleI y)`
`IVec2f` | `add(IDoubleI f, IVec2I v)`
`IVec2f` | `add(IVec2 v)`
`IVec2f` | `add(IVec2f v)`
`IVec2f` | `add(IVec2f v, float f)` scale add
`IVec2f` | `add(IVec2I v)`
`IVec2f` | `add(IVec2I v, double f)` scale add
`IVec2f` | `add(IVec2I v, IDoubleI f)`
`double` | `angle(ISwitchE e, IVec2I v)`
`IDouble` | `angle(ISwitchR r, IVec2I v)`
`double` | `angle(IVec2 v)`
`float` | `angle(IVec2f v)`
`double` | `angle(IVec2I v)`
`IVec2f` | `bisect(IVec2 v)`
`IVec2f` | `bisect(IVec2f v)`
`IVec2f` | `bisect(IVec2I v)`
`IVec` | `cross(IVec2 v)`
`IVec` | `cross(IVec2f v)`
`IVec` | `cross(IVec2I v)`
`IVec2f` | `dif(IVec2I v)`
`IVec2f` | `diff(IVec2I v)`
`double` | `dist(ISwitchE e, IVec2I v)`
`IDouble` | `dist(ISwitchR r, IVec2I v)`
`double` | `dist(IVec2 v)`
`double` | `dist(IVec2f v)`
`double` | `dist(IVec2I v)` distance
`double` | `dist2(ISwitchE e, IVec2I v)`
`IDouble` | `dist2(ISwitchR r, IVec2I v)`
`double` | `dist2(IVec2 v)`
`double` | `dist2(IVec2f v)`
`double` | `dist2(IVec2I v)` squared distance
`IVec2f` | `div(double x)`
`IVec2f` | `div(float x)`
`IVec2f` | `div(IDoubleI v)`
`double` | `dot(ISwitchE e, IVec2I v)`
`IDouble` | `dot(ISwitchR r, IVec2I v)`
`double` | `dot(IVec2 v)`
`double` | `dot(IVec2f v)`
`double` | `dot(IVec2I v)`
`IVec2f` | `dup()`
`boolean` | `eq(ISwitchE e, IVec2I v)`
`boolean` | `eq(ISwitchE e, IVec2I v, double resolution)`
`IBool` | `eq(ISwitchR r, IVec2I v)`
`IBool` | `eq(ISwitchR r, IVec2I v, IDoubleI resolution)`
`boolean` | `eq(IVec2 v)`
`boolean` | `eq(IVec2 v, double resolution)`
`boolean` | `eq(IVec2f v)`
`boolean` | `eq(IVec2f v, double resolution)`
`boolean` | `eq(IVec2I v)` whether location is same or not
`boolean` | `eq(IVec2I v, double resolution)`
`boolean` | `eqX(ISwitchE e, IVec2I v)`
`boolean` | `eqX(ISwitchE e, IVec2I v, double resolution)`
`IBool` | `eqX(ISwitchR r, IVec2I v)`
`IBool` | `eqX(ISwitchR r, IVec2I v, IDoubleI resolution)`
`boolean` | `eqX(IVec2 v)`
`boolean` | `eqX(IVec2 v, double resolution)`
`boolean` | `eqX(IVec2f v)`
`boolean` | `eqX(IVec2f v, double resolution)`
`boolean` | `eqX(IVec2I v)`
`boolean` | `eqX(IVec2I v, double resolution)`
`boolean` | `eqY(ISwitchE e, IVec2I v)`
`boolean` | `eqY(ISwitchE e, IVec2I v, double resolution)`
`IBool` | `eqY(ISwitchR r, IVec2I v)`
`IBool` | `eqY(ISwitchR r, IVec2I v, IDoubleI resolution)`
`boolean` | `eqY(IVec2 v)`
`boolean` | `eqY(IVec2 v, double resolution)`
`boolean` | `eqY(IVec2f v)`
`boolean` | `eqY(IVec2f v, double resolution)`
`boolean` | `eqY(IVec2I v)`
`boolean` | `eqY(IVec2I v, double resolution)`
`IVec2f` | `flip()` alias of neg
`IVec2` | `get()`
`IDouble` | `getX()`
`IDouble` | `getY()`
`double` | `len()`
`IVec2f` | `len(double l)`
`IVec2f` | `len(float l)`
`IVec2f` | `len(IDoubleI l)`
`double` | `len(ISwitchE e)`
`IDouble` | `len(ISwitchR r)`
`double` | `len2()`
`double` | `len2(ISwitchE e)`
`IDouble` | `len2(ISwitchR r)`
`IVec2f` | `mid(IVec2I v)`
`IVec2f` | `mirror(IVec2 lineDir)`
`IVec2f` | `mirror(IVec2f lineDir)`
`IVec2f` | `mirror(IVec2f linePt, IVec2 lineDir)`
`IVec2f` | `mirror(IVec2I lineDir)`
`IVec2f` | `mirror(IVec2I linePt, IVec2I lineDir)`
`IVec2f` | `mirror(IVec2 linePt, IVec2 lineDir)`
`IVec2f` | `mul(double x)`
`IVec2f` | `mul(float x)`
`IVec2f` | `mul(IDoubleI v)`
`IVec2f` | `neg()`
`IVec2f` | `ortho()` rotate vector in Pi/2
`IVec2f` | `ref(IVec2 lineDir)`
`IVec2f` | `ref(IVec2f lineDir)` reflect (mirror) 2 dimensionally to the other side of the line
`IVec2f` | `ref(IVec2f linePt, IVec2 lineDir)`
`IVec2f` | `ref(IVec2I lineDir)` reflect (mirror) 2 dimensionally to the other side of the line
`IVec2f` | `ref(IVec2I linePt, IVec2I lineDir)`
`IVec2f` | `ref(IVec2 linePt, IVec2 lineDir)`
`IVec2f` | `rev()` alias of neg
`IVec2f` | `rot(double angle)`
`IVec2f` | `rot(float angle)`
`IVec2f` | `rot(IDoubleI angle)`
`IVec2f` | `rot(IVec2 destDir)`
`IVec2f` | `rot(IVec2 center, double angle)`
`IVec2f` | `rot(IVec2f destDir)`
`IVec2f` | `rot(IVec2f center, double angle)`
`IVec2f` | `rot(IVec2f center, IVec2f destPt)`
`IVec2f` | `rot(IVec2I destDir)`
`IVec2f` | `rot(IVec2I center, double angle)`
`IVec2f` | `rot(IVec2I center, IDoubleI angle)`
`IVec2f` | `rot(IVec2I center, IVec2I destPt)`
`IVec2f` | `rot(IVec2 center, IVec2 destPt)`
`IVec2f` | `scale(double f)`
`IVec2f` | `scale(IDoubleI f)`
`IVec2f` | `scale(IVec2 center, double f)`
`IVec2f` | `scale(IVec2f center, double f)`
`IVec2f` | `scale(IVec2I center, double f)`
`IVec2f` | `scale(IVec2I center, IDoubleI f)`
`IVec2f` | `set(double x, double y)`
`IVec2f` | `set(float x, float y)`
`IVec2f` | `set(IDoubleI x, IDoubleI y)`
`IVec2f` | `set(IVec2 v)`
`IVec2f` | `set(IVec2f v)`
`IVec2f` | `set(IVec2I v)`
`IVec2f` | `sub(double x, double y)`
`IVec2f` | `sub(float x, float y)`
`IVec2f` | `sub(IDoubleI x, IDoubleI y)`
`IVec2f` | `sub(IVec2 v)`
`IVec2f` | `sub(IVec2f v)`
`IVec2f` | `sub(IVec2I v)`
`IVec2f` | `sum(IVec2 v2, double w2)`
`IVec2f` | `sum(IVec2 v2, double w1, double w2)`
`IVec2f` | `sum(IVec2f v2, double w2)`
`IVec2f` | `sum(IVec2f v2, double w1, double w2)` weighted sum
`IVec2f` | `sum(IVec2I... v)`
`IVec2f` | `sum(IVec2I v)`
`IVec2f` | `sum(IVec2I v2, double w2)`
`IVec2f` | `sum(IVec2I v2, double w1, double w2)` weighted sum
`IVec2f` | `sum(IVec2I v2, IDoubleI w2)`
`IVec2f` | `sum(IVec2I v2, IDoubleI w1, IDoubleI w2)`
`IVec` | `to3d()`
`IVec` | `to3d(double z)`
`IVec` | `to3d(IDoubleI z)`
`IVec4` | `to4d()`
`IVec4` | `to4d(double z, double w)`
`IVec4` | `to4d(IDoubleI z, IDoubleI w)`
`IVec2f` | `transform(IVec2f xvec, IVec2f yvec)`
`IVec2f` | `transform(IVec2f xvec, IVec2f yvec, IVec2f translate)`
`IVec2f` | `transform(IVec2I xvec, IVec2I yvec)`
`IVec2f` | `transform(IVec2I xvec, IVec2I yvec, IVec2I translate)`
`IVec2f` | `transform(IVec2 xvec, IVec2 yvec)`
`IVec2f` | `transform(IVec2 xvec, IVec2 yvec, IVec2 translate)`
`IVec2f` | `unit()` normalize (unitize) vector
`double` | `x()`
`double` | `y()`
`IVec2f` | `zero()` setting all zero

Methods inherited from class igeo.IParameterObject
`createObject, parent, parent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### x

    public float x

### y

    public float y

Constructor Detail

### IVec2f

    public IVec2f()

### IVec2f

    public IVec2f(float x,
                  float y)

### IVec2f

    public IVec2f(double x,
                  double y)

### IVec2f

    public IVec2f(IVec2f v)

### IVec2f

    public IVec2f(IVec2 v)

### IVec2f

    public IVec2f(IVec2I v)

### IVec2f

    public IVec2f(IDoubleI x,
                  IDoubleI y)

### IVec2f

    public IVec2f(IServerI s)

### IVec2f

    public IVec2f(IServerI s,
                  float x,
                  float y)

### IVec2f

    public IVec2f(IServerI s,
                  double x,
                  double y)

### IVec2f

    public IVec2f(IServerI s,
                  IVec2f v)

### IVec2f

    public IVec2f(IServerI s,
                  IVec2 v)

### IVec2f

    public IVec2f(IServerI s,
                  IVec2I v)

### IVec2f

    public IVec2f(IServerI s,
                  IDoubleI x,
                  IDoubleI y)

Method Detail

### x

    public double x()

  Specified by:
    `x` in interface `IVec2I`

### y

    public double y()

  Specified by:
    `y` in interface `IVec2I`

### get

    public IVec2 get()

  Specified by:
    `get` in interface `IParameter`
  Specified by:
    `get` in interface `IVec2I`
  Specified by:
    `get` in interface `IVec2Op`

### dup

    public IVec2f dup()

  Specified by:
    `dup` in interface `IVec2I`

### to3d

    public IVec to3d()

  Specified by:
    `to3d` in interface `IVec2I`

### to3d

    public IVec to3d(double z)

  Specified by:
    `to3d` in interface `IVec2I`

### to3d

    public IVec to3d(IDoubleI z)

  Specified by:
    `to3d` in interface `IVec2I`

### to4d

    public IVec4 to4d()

  Specified by:
    `to4d` in interface `IVec2I`

### to4d

    public IVec4 to4d(double z,
                      double w)

  Specified by:
    `to4d` in interface `IVec2I`

### to4d

    public IVec4 to4d(IDoubleI z,
                      IDoubleI w)

  Specified by:
    `to4d` in interface `IVec2I`

### getX

    public IDouble getX()

  Specified by:
    `getX` in interface `IVec2I`

### getY

    public IDouble getY()

  Specified by:
    `getY` in interface `IVec2I`

### set

    public IVec2f set(float x,
                      float y)

### set

    public IVec2f set(double x,
                      double y)

  Specified by:
    `set` in interface `IVec2I`

### set

    public IVec2f set(IVec2f v)

### set

    public IVec2f set(IVec2 v)

### set

    public IVec2f set(IVec2I v)

  Specified by:
    `set` in interface `IVec2I`

### set

    public IVec2f set(IDoubleI x,
                      IDoubleI y)

  Specified by:
    `set` in interface `IVec2I`

### add

    public IVec2f add(float x,
                      float y)

### add

    public IVec2f add(double x,
                      double y)

  Specified by:
    `add` in interface `IVec2I`

### add

    public IVec2f add(IDoubleI x,
                      IDoubleI y)

  Specified by:
    `add` in interface `IVec2I`

### add

    public IVec2f add(IVec2f v)

### add

    public IVec2f add(IVec2 v)

### add

    public IVec2f add(IVec2I v)

  Specified by:
    `add` in interface `IVec2I`

### sub

    public IVec2f sub(float x,
                      float y)

### sub

    public IVec2f sub(double x,
                      double y)

  Specified by:
    `sub` in interface `IVec2I`

### sub

    public IVec2f sub(IDoubleI x,
                      IDoubleI y)

  Specified by:
    `sub` in interface `IVec2I`

### sub

    public IVec2f sub(IVec2f v)

### sub

    public IVec2f sub(IVec2 v)

### sub

    public IVec2f sub(IVec2I v)

  Specified by:
    `sub` in interface `IVec2I`

### mul

    public IVec2f mul(float x)

### mul

    public IVec2f mul(double x)

  Specified by:
    `mul` in interface `IVec2I`

### mul

    public IVec2f mul(IDoubleI v)

  Specified by:
    `mul` in interface `IVec2I`

### div

    public IVec2f div(float x)

### div

    public IVec2f div(double x)

  Specified by:
    `div` in interface `IVec2I`

### div

    public IVec2f div(IDoubleI v)

  Specified by:
    `div` in interface `IVec2I`

### neg

    public IVec2f neg()

  Specified by:
    `neg` in interface `IVec2I`

### rev

    public IVec2f rev()

  Description copied from interface: `IVec2I`
  alias of neg

  Specified by:
    `rev` in interface `IVec2I`

### flip

    public IVec2f flip()

  Description copied from interface: `IVec2I`
  alias of neg

  Specified by:
    `flip` in interface `IVec2I`

### zero

    public IVec2f zero()

  Description copied from interface: `IVec2I`
  setting all zero

  Specified by:
    `zero` in interface `IVec2I`

### add

    public IVec2f add(IVec2f v,
                      float f)

  scale add

### add

    public IVec2f add(IVec2I v,
                      double f)

  Description copied from interface: `IVec2I`
  scale add

  Specified by:
    `add` in interface `IVec2I`

### add

    public IVec2f add(IVec2I v,
                      IDoubleI f)

  Specified by:
    `add` in interface `IVec2I`

### add

    public IVec2f add(float f,
                      IVec2f v)

  scale add; alias

### add

    public IVec2f add(double f,
                      IVec2I v)

  Description copied from interface: `IVec2I`
  scale add; alias

  Specified by:
    `add` in interface `IVec2I`

### add

    public IVec2f add(IDoubleI f,
                      IVec2I v)

  Specified by:
    `add` in interface `IVec2I`

### dot

    public double dot(IVec2f v)

  Returns:
    dot product in double

### dot

    public double dot(IVec2 v)

### dot

    public double dot(IVec2I v)

  Specified by:
    `dot` in interface `IVec2I`

### dot

    public double dot(ISwitchE e,
                      IVec2I v)

  Specified by:
    `dot` in interface `IVec2I`

### dot

    public IDouble dot(ISwitchR r,
                       IVec2I v)

  Specified by:
    `dot` in interface `IVec2I`

### cross

    public IVec cross(IVec2f v)

  Returns:
    cross product in z direction

### cross

    public IVec cross(IVec2 v)

### cross

    public IVec cross(IVec2I v)

  Specified by:
    `cross` in interface `IVec2I`

### len

    public double len()

  Specified by:
    `len` in interface `IVec2I`
  Returns:
    length (norm) of the vector in double

### len

    public double len(ISwitchE e)

  Specified by:
    `len` in interface `IVec2I`

### len

    public IDouble len(ISwitchR r)

  Specified by:
    `len` in interface `IVec2I`

### len2

    public double len2()

  Specified by:
    `len2` in interface `IVec2I`
  Returns:
    squared length of the vector in double

### len2

    public double len2(ISwitchE e)

  Specified by:
    `len2` in interface `IVec2I`

### len2

    public IDouble len2(ISwitchR r)

  Specified by:
    `len2` in interface `IVec2I`

### len

    public IVec2f len(IDoubleI l)

  Specified by:
    `len` in interface `IVec2I`

### len

    public IVec2f len(double l)

  Specified by:
    `len` in interface `IVec2I`

### len

    public IVec2f len(float l)

### unit

    public IVec2f unit()

  normalize (unitize) vector

  Specified by:
    `unit` in interface `IVec2I`

### ortho

    public IVec2f ortho()

  rotate vector in Pi/2

  Specified by:
    `ortho` in interface `IVec2I`

### dist

    public double dist(IVec2I v)

  Description copied from interface: `IVec2I`
  distance

  Specified by:
    `dist` in interface `IVec2I`

### dist

    public double dist(IVec2 v)

### dist

    public double dist(IVec2f v)

### dist

    public double dist(ISwitchE e,
                       IVec2I v)

  Specified by:
    `dist` in interface `IVec2I`

### dist

    public IDouble dist(ISwitchR r,
                        IVec2I v)

  Specified by:
    `dist` in interface `IVec2I`

### dist2

    public double dist2(IVec2I v)

  Description copied from interface: `IVec2I`
  squared distance

  Specified by:
    `dist2` in interface `IVec2I`

### dist2

    public double dist2(IVec2 v)

### dist2

    public double dist2(IVec2f v)

### dist2

    public double dist2(ISwitchE e,
                        IVec2I v)

  Specified by:
    `dist2` in interface `IVec2I`

### dist2

    public IDouble dist2(ISwitchR r,
                         IVec2I v)

  Specified by:
    `dist2` in interface `IVec2I`

### eq

    public boolean eq(IVec2I v)

  Description copied from interface: `IVec2I`
  whether location is same or not

  Specified by:
    `eq` in interface `IVec2I`

### eq

    public boolean eq(IVec2 v)

### eq

    public boolean eq(IVec2f v)

### eq

    public boolean eq(ISwitchE e,
                      IVec2I v)

  Specified by:
    `eq` in interface `IVec2I`

### eq

    public IBool eq(ISwitchR r,
                    IVec2I v)

  Specified by:
    `eq` in interface `IVec2I`

### eq

    public boolean eq(IVec2 v,
                      double resolution)

### eq

    public boolean eq(IVec2f v,
                      double resolution)

### eq

    public boolean eq(IVec2I v,
                      double resolution)

  Specified by:
    `eq` in interface `IVec2I`

### eq

    public boolean eq(ISwitchE e,
                      IVec2I v,
                      double resolution)

  Specified by:
    `eq` in interface `IVec2I`

### eq

    public IBool eq(ISwitchR r,
                    IVec2I v,
                    IDoubleI resolution)

  Specified by:
    `eq` in interface `IVec2I`

### eqX

    public boolean eqX(IVec2f v)

### eqY

    public boolean eqY(IVec2f v)

### eqX

    public boolean eqX(IVec2 v)

### eqY

    public boolean eqY(IVec2 v)

### eqX

    public boolean eqX(IVec2I v)

  Specified by:
    `eqX` in interface `IVec2I`

### eqY

    public boolean eqY(IVec2I v)

  Specified by:
    `eqY` in interface `IVec2I`

### eqX

    public boolean eqX(ISwitchE e,
                       IVec2I v)

  Specified by:
    `eqX` in interface `IVec2I`

### eqY

    public boolean eqY(ISwitchE e,
                       IVec2I v)

  Specified by:
    `eqY` in interface `IVec2I`

### eqX

    public IBool eqX(ISwitchR r,
                     IVec2I v)

  Specified by:
    `eqX` in interface `IVec2I`

### eqY

    public IBool eqY(ISwitchR r,
                     IVec2I v)

  Specified by:
    `eqY` in interface `IVec2I`

### eqX

    public boolean eqX(IVec2f v,
                       double resolution)

### eqY

    public boolean eqY(IVec2f v,
                       double resolution)

### eqX

    public boolean eqX(IVec2 v,
                       double resolution)

### eqY

    public boolean eqY(IVec2 v,
                       double resolution)

### eqX

    public boolean eqX(IVec2I v,
                       double resolution)

  Specified by:
    `eqX` in interface `IVec2I`

### eqY

    public boolean eqY(IVec2I v,
                       double resolution)

  Specified by:
    `eqY` in interface `IVec2I`

### eqX

    public boolean eqX(ISwitchE e,
                       IVec2I v,
                       double resolution)

  Specified by:
    `eqX` in interface `IVec2I`

### eqY

    public boolean eqY(ISwitchE e,
                       IVec2I v,
                       double resolution)

  Specified by:
    `eqY` in interface `IVec2I`

### eqX

    public IBool eqX(ISwitchR r,
                     IVec2I v,
                     IDoubleI resolution)

  Specified by:
    `eqX` in interface `IVec2I`

### eqY

    public IBool eqY(ISwitchR r,
                     IVec2I v,
                     IDoubleI resolution)

  Specified by:
    `eqY` in interface `IVec2I`

### angle

    public double angle(IVec2 v)

  Returns:
    angle of two vector. From -Pi to Pi. Sign follows right-handed screw rule

### angle

    public float angle(IVec2f v)

### angle

    public double angle(IVec2I v)

  Specified by:
    `angle` in interface `IVec2I`

### angle

    public double angle(ISwitchE e,
                        IVec2I v)

  Specified by:
    `angle` in interface `IVec2I`

### angle

    public IDouble angle(ISwitchR r,
                         IVec2I v)

  Specified by:
    `angle` in interface `IVec2I`

### rot

    public IVec2f rot(double angle)

  Specified by:
    `rot` in interface `IVec2I`

### rot

    public IVec2f rot(float angle)

### rot

    public IVec2f rot(IDoubleI angle)

  Specified by:
    `rot` in interface `IVec2I`

### rot

    public IVec2f rot(IVec2f center,
                      double angle)

### rot

    public IVec2f rot(IVec2 center,
                      double angle)

### rot

    public IVec2f rot(IVec2I center,
                      double angle)

  Specified by:
    `rot` in interface `IVec2I`

### rot

    public IVec2f rot(IVec2I center,
                      IDoubleI angle)

  Specified by:
    `rot` in interface `IVec2I`

### rot

    public IVec2f rot(IVec2f destDir)

### rot

    public IVec2f rot(IVec2 destDir)

### rot

    public IVec2f rot(IVec2I destDir)

  Specified by:
    `rot` in interface `IVec2I`

### rot

    public IVec2f rot(IVec2f center,
                      IVec2f destPt)

### rot

    public IVec2f rot(IVec2 center,
                      IVec2 destPt)

### rot

    public IVec2f rot(IVec2I center,
                      IVec2I destPt)

  Specified by:
    `rot` in interface `IVec2I`

### scale

    public IVec2f scale(double f)

  Specified by:
    `scale` in interface `IVec2I`

### scale

    public IVec2f scale(IDoubleI f)

  Specified by:
    `scale` in interface `IVec2I`

### scale

    public IVec2f scale(IVec2f center,
                        double f)

### scale

    public IVec2f scale(IVec2 center,
                        double f)

### scale

    public IVec2f scale(IVec2I center,
                        double f)

  Specified by:
    `scale` in interface `IVec2I`

### scale

    public IVec2f scale(IVec2I center,
                        IDoubleI f)

  Specified by:
    `scale` in interface `IVec2I`

### ref

    public IVec2f ref(IVec2f lineDir)

  reflect (mirror) 2 dimensionally to the other side of the line

  Parameters:
    `lineDir` - direction of reflection line

### ref

    public IVec2f ref(IVec2 lineDir)

### ref

    public IVec2f ref(IVec2I lineDir)

  Description copied from interface: `IVec2I`
  reflect (mirror) 2 dimensionally to the other side of the line

  Specified by:
    `ref` in interface `IVec2I`

### ref

    public IVec2f ref(IVec2f linePt,
                      IVec2 lineDir)

### ref

    public IVec2f ref(IVec2 linePt,
                      IVec2 lineDir)

### ref

    public IVec2f ref(IVec2I linePt,
                      IVec2I lineDir)

  Specified by:
    `ref` in interface `IVec2I`

### mirror

    public IVec2f mirror(IVec2f lineDir)

### mirror

    public IVec2f mirror(IVec2 lineDir)

### mirror

    public IVec2f mirror(IVec2I lineDir)

  Specified by:
    `mirror` in interface `IVec2I`

### mirror

    public IVec2f mirror(IVec2f linePt,
                         IVec2 lineDir)

### mirror

    public IVec2f mirror(IVec2 linePt,
                         IVec2 lineDir)

### mirror

    public IVec2f mirror(IVec2I linePt,
                         IVec2I lineDir)

  Specified by:
    `mirror` in interface `IVec2I`

### transform

    public IVec2f transform(IVec2f xvec,
                            IVec2f yvec)

### transform

    public IVec2f transform(IVec2 xvec,
                            IVec2 yvec)

### transform

    public IVec2f transform(IVec2I xvec,
                            IVec2I yvec)

  Specified by:
    `transform` in interface `IVec2I`

### transform

    public IVec2f transform(IVec2f xvec,
                            IVec2f yvec,
                            IVec2f translate)

### transform

    public IVec2f transform(IVec2 xvec,
                            IVec2 yvec,
                            IVec2 translate)

### transform

    public IVec2f transform(IVec2I xvec,
                            IVec2I yvec,
                            IVec2I translate)

  Specified by:
    `transform` in interface `IVec2I`

### dif

    public IVec2f dif(IVec2I v)

  Specified by:
    `dif` in interface `IVec2I`

### diff

    public IVec2f diff(IVec2I v)

  Specified by:
    `diff` in interface `IVec2I`

### mid

    public IVec2f mid(IVec2I v)

  Specified by:
    `mid` in interface `IVec2I`

### sum

    public IVec2f sum(IVec2I v)

  Specified by:
    `sum` in interface `IVec2I`

### sum

    public IVec2f sum(IVec2I... v)

  Specified by:
    `sum` in interface `IVec2I`

### bisect

    public IVec2f bisect(IVec2f v)

### bisect

    public IVec2f bisect(IVec2 v)

### bisect

    public IVec2f bisect(IVec2I v)

  Specified by:
    `bisect` in interface `IVec2I`

### sum

    public IVec2f sum(IVec2f v2,
                      double w1,
                      double w2)

  weighted sum

### sum

    public IVec2f sum(IVec2 v2,
                      double w1,
                      double w2)

### sum

    public IVec2f sum(IVec2I v2,
                      double w1,
                      double w2)

  Description copied from interface: `IVec2I`
  weighted sum

  Specified by:
    `sum` in interface `IVec2I`

### sum

    public IVec2f sum(IVec2I v2,
                      IDoubleI w1,
                      IDoubleI w2)

  Specified by:
    `sum` in interface `IVec2I`

### sum

    public IVec2f sum(IVec2f v2,
                      double w2)

### sum

    public IVec2f sum(IVec2 v2,
                      double w2)

### sum

    public IVec2f sum(IVec2I v2,
                      double w2)

  Specified by:
    `sum` in interface `IVec2I`

### sum

    public IVec2f sum(IVec2I v2,
                      IDoubleI w2)

  Specified by:
    `sum` in interface `IVec2I`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD